%define upstream_name bulk_extractor
Name:           bulk-extractor
Version:        1.5.5
Release:        %mkrel 2
Summary:        A forensic media scanning and analysis tool
License:        Public Domain
Group:          Security
URL:            http://afflib.org/software/%{upstream_name}
Source0:        http://github.com/downloads/simsong/%{upstream_name}/%{upstream_name}-%{version}.tar.gz  
BuildRequires:  flex
BuildRequires:  libzlib-devel
BuildRequires:  java-devel
BuildRequires:  pkgconfig(libewf)
BuildRequires:  pkgconfig(tre)
BuildRequires:  pkgconfig(openssl)
Requires:       zlib

%description
bulk_extractor is a C++ program that scans a disk image, a file, or a
directory of files and extracts useful information without parsing the
file system or file system structures. The results are stored in feature files
that can be easily inspected, parsed, or processed with automated tools.
It also creates histograms of features that it finds, as features that are
more common tend to be more important.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%configure2_5x

%make

%install
%{makeinstall_std}

%files
   %{_bindir}/BEViewer
   %{_bindir}/BEViewer.jar
   %{_bindir}/bulk_extractor
   %{_bindir}/plugin_test
   %{_mandir}/man1/bulk_extractor.1.xz


%changelog
* Sat Feb 13 2016 umeabot <umeabot> 1.5.5-2.mga6
+ Revision: 959636
- Mageia 6 Mass Rebuild

* Mon Sep 21 2015 barjac <barjac> 1.5.5-1.mga6
+ Revision: 882051
- new version 1.5.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-4.mga5
+ Revision: 742733
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.4-3.mga5
+ Revision: 725988
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-2.mga5
+ Revision: 678246
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 barjac <barjac> 1.4.4-1.mga5
+ Revision: 593987
- new version 1.4.4

* Fri Oct 18 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 503174
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 347222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 1.3-1.mga3
+ Revision: 310498
- fix BuildRequires
- fix java dependency
- update to 1.3
- update RPM group

* Fri Dec 16 2011 barjac <barjac> 1.1.1-1.mga2
+ Revision: 182808
- imported package bulk-extractor


* Fri Dec 16 2011 Barry Jackson <zen25000[at]zen.co.uk> 1.1.1-1.mga2
- New package   